SpanQuery (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.spans.SpanQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.spans
Class SpanQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.spans.SpanQuery

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  SpanFirstQuery, SpanNearQuery, SpanNotQuery, SpanOrQuery, SpanRegexQuery, SpanTermQuery

    public abstract class SpanQuery

extends Query

Base class for span-based queries.

See Also:
  Serialized Form

Constructor Summary
`SpanQuery()`

Method Summary
`protected Weight` | `createWeight(Searcher searcher)` Expert: Constructs an appropriate Weight implementation for this query.
`abstract String` | `getField()` Returns the name of the field matched by this query.
`PayloadSpans` | `getPayloadSpans(IndexReader reader)` Returns the matches for this query in an index, including access to any `Payload`s at those positions.
`abstract Spans` | `getSpans(IndexReader reader)` Expert: Returns the matches for this query in an index.
`abstract Collection` | `getTerms()` Deprecated. use extractTerms instead

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, extractTerms, getBoost, getSimilarity, mergeBooleanQueries, rewrite, setBoost, toString, toString, weight`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpanQuery

    public SpanQuery()

Method Detail

### getSpans

    public abstract Spans getSpans(IndexReader reader)
                            throws IOException

  Expert: Returns the matches for this query in an index. Used internally to search for spans.

  Throws:
    `IOException`

### getPayloadSpans

    public PayloadSpans getPayloadSpans(IndexReader reader)
                                 throws IOException

  Returns the matches for this query in an index, including access to any `Payload`s at those positions. Implementing classes that want access to the payloads will need to implement this.

  Parameters:
    `reader` - The `IndexReader` to use to get spans/payloads
  Returns:
    null
  Throws:
    `IOException` - if there is an error accessing the payload WARNING: The status of the Payloads feature is experimental. The APIs introduced here might change in the future and will not be supported anymore in such a case.

### getField

    public abstract String getField()

  Returns the name of the field matched by this query.

### getTerms

    public abstract Collection getTerms()

  Deprecated. use extractTerms instead

  Returns a collection of all terms matched by this query.

  See Also:
    `Query.extractTerms(Set)`

### createWeight

    protected Weight createWeight(Searcher searcher)
                           throws IOException

  Description copied from class: `Query`
  Expert: Constructs an appropriate Weight implementation for this query.

  Only implemented by primitive queries, which re-write to themselves.

  Overrides:
    `createWeight` in class `Query`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.